# Api.mt | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Namespace Api.mt

- Defined in: Api.mt.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Api.mt

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Api.mt.getCategoryList(id, name, password)
<static> | Api.mt.getPostCategories(id, name, password)
<static> | Api.mt.getRecentPostTitles(id, name, password, limit)
<static> | Api.mt.getTrackbackPings()
<static> | Api.mt.publishPost(id, name, password)
<static> | Api.mt.setPostCategories(id, name, password, categories)
<static> | Api.mt.supportedMethods()
<static> | Api.mt.supportedTextFilters()

## Namespace Detail

Api.mt

## Method Detail

- <static> {Object[]} Api.mt.getCategoryList(id, name, password)
  Parameters:
  {Number} id
  {String} name
  {String} password
  Throws:
  {Error}
  Returns:
    {Object[]}
- <static> {Object[]} Api.mt.getPostCategories(id, name, password)
  Parameters:
  {Number} id
  {String} name
  {String} password
  Throws:
  {Error}
  Returns:
    {Object[]}
- <static> {Object[]} Api.mt.getRecentPostTitles(id, name, password, limit)
  Parameters:
  {Number} id
  {String} name
  {String} password
  {Number} limit
  Throws:
  {Error}
  Returns:
    {Object[]}
- <static> {Array} Api.mt.getTrackbackPings()
  Returns:
    {Array}
- <static> {Boolean} Api.mt.publishPost(id, name, password)
  Parameters:
  {Number} id
  {String} name
  {String} password
  Throws:
  {Error}
  Returns:
    {Boolean}
- <static> {Boolean} Api.mt.setPostCategories(id, name, password, categories)
  Parameters:
  {Number} id
  {String} name
  {String} password
  {String[]} categories
  Throws:
  {Error}
  Returns:
    {Boolean}
- <static> {String[]} Api.mt.supportedMethods()
  Returns:
    {String[]}
- <static> {Array} Api.mt.supportedTextFilters()
  Returns:
    {Array}